import { DavisEventName } from './davis-event-name';
import { EntityTags } from './entity-tags';
export interface DavisEventConfig {
    /**
     * Event must match all or any of the entity tags.
     */
    entityTagsMatch?: 'all' | 'any';
    /**
     * Entity tags to match by key and (optional) values. For example {"foo": [], "bar": ["a", "b", "c"]}
     */
    entityTags?: EntityTags;
    /**
     * Trigger on Davis event open only or also on close.
     */
    onProblemClose?: boolean;
    names?: DavisEventName[];
    /**
     * @deprecated
     */
    types?: string[];
    /**
     * Additional DQL matcher expression to further filter events to match.
     */
    customFilter?: string;
}
