import { DavisProblemCategories } from './davis-problem-categories';
import { EntityTags } from './entity-tags';
export interface DavisProblemConfig {
    /**
     * Event must match all or any of the entity tags.
     */
    entityTagsMatch?: 'all' | 'any';
    /**
     * Entity tags to match by key and (optional) values. For example {"foo": [], "bar": ["a", "b", "c"]}
     */
    entityTags?: EntityTags;
    /**
     * Trigger on Davis problem open only or also on close.
     */
    onProblemClose?: boolean;
    categories: DavisProblemCategories;
    /**
     * Additional DQL matcher expression to further filter events to match.
     */
    customFilter?: string;
}
